# Viewing Logs

**Dremio Logs**

By default, Dremio logs are written to the container's console. All the logs - `server.log`, `server.gc` and `access.log` - are written into the console simultaneously.

You can view the logs using `kubectl logs`:

```bash
$ kubectl logs <pod-name>
```

You can also tail the logs using the `-f` parameter for `kubectl logs`:

```bash
$ kubectl logs -f <pod-name>
```

**Pod Initialization Logs**

In some cases, if the Dremio cluster is failing to startup during the pod init phases, it may be necessary to view the logs generated by the init containers. Identify the pod that is failing to start, and use the following command to view the init container logs:

```bash
$ kubectl logs <pod-name> -c <init-container-name>
```

